<%@ include file="/taglibs.jsp"%>

<head>
    <title>MyUsers ~ User Details</title>
    <link href="${ctx}/styles/calendar.css" type="text/css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctx}/scripts/calendar.js"></script>
    <script type="text/javascript" src="${ctx}/scripts/calendar-setup.js"></script>
    <script type="text/javascript" src="${ctx}/scripts/lang/calendar-en.js"></script>
</head>

<spring:bind path="user.*">
    <c:if test="${not empty status.errorMessages}">
    <div class="error">
        <c:forEach var="error" items="${status.errorMessages}">
            <c:out value="${error}" escapeXml="false"/><br/>
        </c:forEach>
    </div>
    </c:if>
</spring:bind>

<p>Please fill in user's information below:</p>

<form method="post" action="<c:url value="/editUser.html"/>" onsubmit="return validateUser(this)">
<spring:bind path="user.id">
<input type="hidden" name="id" value="${status.value}"/>
</spring:bind>
<table>
<tr>
    <th><fmt:message key="user.firstName"/>:</th>
    <td>
        <spring:bind path="user.firstName">
        <input type="text" name="${status.expression}" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.lastName"/>:</th>
    <td>
        <spring:bind path="user.lastName">
        <input type="text" name="${status.expression}" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.birthDate"/>:</th>
    <td>
        <spring:bind path="user.birthDate">
        <input type="text" name="${status.expression}" id="${status.expression}" value="${status.value}" size="11"/>
        <button id="birthDateCal" type="button" class="button" style="width: 30px; height: 23px">...</button>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<%--tr>
    <th><fmt:message key="user.siblings"/>:</th>
    <td>
        <spring:bind path="user.siblings">
        <input type="text" name="${status.expression}" value="${status.value}" size="5"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.temperature"/>:</th>
    <td>
        <spring:bind path="user.temperature">
        <input type="text" name="${status.expression}" value="${status.value}" size="4"/> &deg;F
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.country"/>:</th>
    <td>
        <spring:bind path="user.country">
        <select name="${status.expression}">
            <option value=""></option>
          <c:forEach items="${countries}" var="country">
            <option value="${country.value}"
              <c:if test="${status.value == country.value}">selected="selected"</c:if>>
                ${country.name}
            </option>
          </c:forEach>
        </select>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><fmt:message key="user.enabled"/>?</th>
    <td>
        <spring:bind path="user.enabled">
        <input type="hidden" name="_${status.expression}"/>
        <input type="checkbox" name="${status.expression}" value="true"
            <c:if test="${status.value}">checked="checked"</c:if>/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr--%>
<tr>
    <td colspan="2">
        <fieldset>
            <legend>Phone Numbers</legend>
            <table>
                <tr>
                    <th style="text-align: left">Delete?</th>
                    <th style="text-align: right">Type</th>
                    <th style="text-align: left">Number</th>
                </tr>
                <c:forEach var="no" items="${user.phones}" varStatus="s">
                <spring:bind path="user.phones[${s.index}].id">
                    <input type="hidden" name="${status.expression}" value="${status.value}"/>
                </spring:bind>
                <tr>
                    <td>
                        <spring:bind path="user.phones[${s.index}].id">
                        <input type="checkbox" name="deletePhone" value="${status.value}"/>
                        </spring:bind>
                    </td>
                    <td style="text-align: right">
                        <spring:bind path="user.phones[${s.index}].type">
                        <input type="text" name="${status.expression}" value="${status.value}" size="5"/>
                        <span class="fieldError">${status.errorMessage}</span>
                        </spring:bind>
                    </td>
                    <td>
                        <spring:bind path="user.phones[${s.index}].number">
                        <input type="text" name="${status.expression}" value="${status.value}" size="15"/>
                        <span class="fieldError">${status.errorMessage}</span>
                        </spring:bind>
                    </td>
                </tr>
                </c:forEach>
                <tr>
                    <td>Add New &raquo; </td>
                    <td>
                        <input type="text" name="new.phone.type" value="" size="5"/>
                    </td>
                    <td>
                        <input type="text" name="new.phone.number" value="" size="15"/>
                    </td>
                </tr>
            </table>
        </fieldset>
    </td>
</tr>
<%--tr>
    <td colspan="2">
        <fieldset>
            <legend>Address</legend>
            <table>
                <tr>
                    <th style="text-align: left">City</th>
                    <th style="text-align: left">State</th>
                    <th style="text-align: left">Zip</th>
                </tr>
                <tr>
                    <spring:nestedPath path="user.address">
                    <spring:bind path="id">
                        <input type="hidden" name="${status.expression}" value="${status.value}"/>
                    </spring:bind>
                    <td>
                        <spring:bind path="city">
                        <input type="text" name="${status.expression}" value="${status.value}" size="15"/>
                        <span class="fieldError">${status.errorMessage}</span>
                        </spring:bind>
                    </td>
                    <td>
                        <spring:bind path="state">
                        <input type="text" name="${status.expression}" value="${status.value}" size="2"/>
                        <span class="fieldError">${status.errorMessage}</span>
                        </spring:bind>
                    </td>
                    <td>
                        <spring:bind path="zip">
                        <input type="text" name="${status.expression}" value="${status.value}" size="10"/>
                        <span class="fieldError">${status.errorMessage}</span>
                        </spring:bind>
                    </td>
                    </spring:nestedPath>
                </tr>
            </table>
        </fieldset>
    </td>
</tr--%>
<%--tr>
    <th>Address:</th>
    <td>
        <spring:bind path="user.address">
        <input type="text" name="${status.expression}" value="${status.value}" size="40"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr--%>
<tr>
    <td></td>
    <td>
        <input type="submit" class="button" name="save" value="Save"/>
      <c:if test="${not empty param.id}">
        <input type="submit" class="button" name="delete" value="Delete" 
            onclick="bCancel=true"/>
      </c:if>
        <input type="submit" class="button" name="cancel" value="Cancel"
            onclick="bCancel=true"/>
    </td>
</tr>
</table>
</form>

<html:javascript formName="user"/>

<script type="text/javascript">
    Calendar.setup(
    {
        inputField  : "birthDate",      // id of the input field
        ifFormat    : "%m/%d/%Y",      // the date format
        button      : "birthDateCal"    // id of the button
    }
    );
</script>

